﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;

namespace Post1
{// Root myDeserializedClass = JsonConvert.DeserializeObject<Root>(myJsonResponse);
    public class Area
    {
        public object typeid { get; set; }
        public List<string> iso31661codes { get; set; }
        public string name { get; set; }
        public string id { get; set; }
        public string disambiguation { get; set; }
        public object type { get; set; }
        public string sortname { get; set; }
    }

    public class Coverartarchive
    {
        public bool back { get; set; }
        public int count { get; set; }
        public bool front { get; set; }
        public bool artwork { get; set; }
        public bool darkened { get; set; }
    }

    public class Disc
    {
        public List<int> offsets { get; set; }
        public string id { get; set; }
        public int offsetcount { get; set; }
        public int sectors { get; set; }
    }

    public class Medium
    {
        public List<Disc> discs { get; set; }
        public string format { get; set; }
        public int trackcount { get; set; }
        public int position { get; set; }
        public string title { get; set; }
        public string formatid { get; set; }
    }

    public class Release
    {
        public string datum { get; set; }
        public string status { get; set; }
        public string quality { get; set; }
        public List<Medium> media { get; set; }
        public List<Releaseevent> releaseevents { get; set; }
        public string packagingid { get; set; }
        public string title { get; set; }
        public string asin { get; set; }
        [TypeConverter(typeof(ExpandableObjectConverter))]
        public Textrepresentation textrepresentation { get; set; }
        public string statusid { get; set; }
        public string id { get; set; }
        public string barcode { get; set; }
        public string country { get; set; }
        public string disambiguation { get; set; }
        public string packaging { get; set; }
        public Coverartarchive coverartarchive { get; set; }
    }

    public class Releaseevent
    {
        public string datum { get; set; }
        public Area area { get; set; }
    }

    public class Root
    {
        public string id { get; set; }
        public int offsetcount { get; set; }
        public int sectors { get; set; }
        public List<Release> releases { get; set; }
        public List<int> offsets { get; set; }
    }

    public class Textrepresentation
    {
        public string script { get; set; }
        public string language { get; set; }
    }

}
